package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.HashMap;

public class TemperatureDataObject extends ADataObject {
	static final String TEMPERATURE_KEY = "temperature";
	static final String TABLE_NAME = "Temperature";
	
	public TemperatureDataObject(LocalDateTime timestamp, String name, double temperature) {
		super(timestamp, name);
		HashMap<String, Object> values = new HashMap<String, Object>();
		values.put(TEMPERATURE_KEY, temperature);
		setValues(values);
	}
	
	public String getTableName() {
		return TABLE_NAME;
	}
}
